Package org.eclipse.net4j.util.ui.container

# Class ElementWizardDialog

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.Dialog
org.eclipse.jface.dialogs.TrayDialog
org.eclipse.jface.dialogs.TitleAreaDialog
org.eclipse.net4j.util.ui.container.ElementWizardDialog

All Implemented Interfaces:
  `IShellProvider`, `ValidationContext`

public class ElementWizardDialog extends TitleAreaDialog implements ValidationContext

Since:
  3.2
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.ui.ValidationContext

`ValidationContext.Aggregator`

## Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

## Constructor Summary

Constructors
Constructor
Description
`ElementWizardDialog(Shell parentShell, String title, String toolTip, String productGroup, String defaultFactoryType)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configureShell(Shell newShell)`
`protected Control`
`createDialogArea(Composite parent)`
`protected IManagedContainer`
`getContainer()`
`protected String`
`getDefaultDescription(String factoryType)`
`String`
`getDescription()`
`String`
`getFactoryType()`
`String`
`getProductGroup()`
`String`
`getTitle()`
`String`
`getToolTip()`
`protected void`
`okPressed()`
`void`
`setValidationError(Object source, String message)`

### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

`createContents, getErrorMessage, getInitialSize, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonsForButtonBar, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElementWizardDialog

public ElementWizardDialog(Shell parentShell, String title, String toolTip, String productGroup, String defaultFactoryType)

## Method Details

### getTitle

public String getTitle()

### getToolTip

public String getToolTip()

### getProductGroup

public String getProductGroup()

### getFactoryType

public String getFactoryType()

### getDescription

public String getDescription()

### setValidationError

public void setValidationError(Object source, String message)

Specified by:
  `setValidationError` in interface `ValidationContext`

### configureShell

protected void configureShell(Shell newShell)

Overrides:
  `configureShell` in class `Window`

### createDialogArea

protected Control createDialogArea(Composite parent)

Overrides:
  `createDialogArea` in class `TitleAreaDialog`

### getContainer

protected IManagedContainer getContainer()

### getDefaultDescription

protected String getDefaultDescription(String factoryType)

### okPressed

protected void okPressed()

Overrides:
  `okPressed` in class `Dialog`